<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        const firstName = prompt("Your name");
        const lastName = prompt("Your lastname");
        const birthday = prompt("Your birthday: dd.mm.yyyy");


        function createNewUser() {

            let newUser = {
                firstName: firstName,
                lastName: lastName,
                getLogin() {
                    const firstlet = firstName[0]
                    const login = (firstlet + lastName).toLowerCase()
                    return login
                },
                getAge() {
                    let temp = new Array();
                    temp = birthday.split('.');
                    let newbirth = new Date(temp[2], temp[1], temp[0]);
                    let now = new Date();
                    let age = now.getFullYear() - newbirth.getFullYear();
                    return age.toString()
                },
                getPassword() {
                    const firstlet = firstName[0]
                    let temp = new Array();
                    temp = birthday.split('.');
                    let password = firstlet.toUpperCase() + lastName.toLowerCase() + temp[2]
                    return password
                }
            }

            return newUser
        }
        console.log(createNewUser().getLogin())
        console.log(createNewUser().getAge())
        console.log(createNewUser().getPassword())
    </script>
</body>

</html>